Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpCalculate

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpCalculate
extends IEssOperation

The IEssOpCalculate interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`void` | `set(boolean syntaxCheckOnly, java.lang.String calcFileNamePrefix)` Executes a calc script against the active database from a file.
`void` | `set(java.lang.String calcScript, boolean syntaxCheckOnly)` Sends and optionally executes a calc script against this active cube as a single string.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### set

    public void set(java.lang.String calcScript,
                    boolean syntaxCheckOnly)
             throws EssException

  Sends and optionally executes a calc script against this active cube as a single string. The calculation can either be performed, or the calc script can just be verified and any errors returned.

  Parameters:
    `calcScript` - The calc script as a single string. If null or "" is passed default calc script is used.
    `syntaxCheckOnly` - true if to perform syntax check only.
  Throws:
    `EssException` - if an error occurs.

### set

    public void set(boolean syntaxCheckOnly,
                    java.lang.String calcFileNamePrefix)
             throws EssException

  Executes a calc script against the active database from a file. The calculation can either be performed, or the calc script can just be verified and any errors returned.

  Parameters:
    `syntaxCheckOnly` - true if to perform syntax check only.
    `calcFileNamePrefix` - The calc script file name's prefix. This file should be located in the olap server's application/cube directory, with extension '.csc'. For eq, if the file name is calcall.csc, you should pass "calcall" to this param.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD